### Function Macro

# GLib DEFINE_QUARK

since: 2.34

#### Declaration

    #define G_DEFINE_QUARK (
      QN,
      q_n
    )

#### Description

A convenience macro which defines a function returning the `GQuark` for the name `QN`. The function will be named `q_n_quark`().

Note that the quark name will be stringified automatically in the macro, so you shouldn’t use double quotes.

Available since: 2.34

This function is not directly available to language bindings.

#### Parameters

`QN`

  Type: `-`

  The name to return a `GQuark` for.

`q_n`

  Type: `-`

  Prefix for the function name.